public class plane
{
double x,y;
//constructor
public plane(double xi,double yi)
{x=xi;y=yi;}

public plane(plane p)
{x=p.x;y=p.y;}

public static plane toPlane(double xi,double yi)
{plane p1=new plane(xi,yi);
return p1;
}

public String toString()
{return "x="+x+"y="+y+"R="+R()+"teta="+tetadegree();}

public double R()
{return Math.sqrt(x*x+y*y);}

public double teta()
{return Math.atan2(x,y);}

public double tetadegree()
{return Math.atan2(x,y)*180/Math.PI;}
}